
package presentacion;

import java.awt.EventQueue;
import javax.swing.JFrame;
import javax.swing.JTabbedPane;

public class Menu extends JFrame {

      private Componentes componentes;
      
    public Menu() {
        setSize(700,500);
        setTitle("Menu JTabbedPane");
        componentes = new Componentes();
        componentes.setGestorEventos(new GestorEventos(componentes));
        ubicarComponentes();
        inicializar();
        setVisible(true);
    }
 
    
    private void ubicarComponentes() {
        addWindowListener(componentes.getGestorEventos());        // REGISTRO DE ESCUCHA DE EVENTOS DE VENTANA
        
        componentes.setjTabbedPane(new JTabbedPane());
        componentes.getjTabbedPane().setTabLayoutPolicy(JTabbedPane.SCROLL_TAB_LAYOUT);
        
        componentes.setOpcion1(new Opcion1(componentes));
        componentes.getjTabbedPane().add("Opcion 1", componentes.getOpcion1());
        
        componentes.setOpcion2(new Opcion2(componentes));
        componentes.getjTabbedPane().add("Opcion 2", componentes.getOpcion2());   
        
        componentes.setOpcion3(new Opcion3(componentes));
        componentes.getjTabbedPane().add("Opcion 3", componentes.getOpcion3());           
        
        componentes.getjTabbedPane().addChangeListener(componentes.getGestorEventos()); 
        add(componentes.getjTabbedPane());
    }
    
    
    private void inicializar() {    
        componentes.getOpcion1().iniciarPantalla();
        componentes.getjTabbedPane().setSelectedIndex(0);
    }
    
    
    public static void main(String[] args) {
        EventQueue.invokeLater(new Runnable() {
              @Override
              public void run() {
                 new Menu();
              }
           });  
    }            
}
